This queue is for tickets about the PerlQt CPAN distribution.

Report information
The Basics
Id:
36045
Status:
new
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
GWOLF [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
3.008
Fixed in:
(no value)



Subject: Breaks under Perl 5.10
When building your module under Perl 5.10, the tests fail - I am attaching the output of 'make test'. The module, of course, breaks. Please refer to Debian bug report #481642 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=481642) for further details - Let me just quote the following bits: Applications based on Perl/Qt now refuse to start with an error in the spirit of ~ perl progress.pl --- No method to call for : QApplication::new('Qt::Applic...', ARRAY(0x622db8)) at /usr/lib/perl5/Qt.pm line 464. This includes the examples. I don't know if examples used to work, but my own applications used to ;-)... And in a further mail from the bug submitter: It seems I have found at least one of the causes of the problem. The my $a=Qt::Application(\@ARGV); statement in perl 5.8 causes do_autoload to be called with the following arguments: 'Qt::Application' 'QApplication' '4' while in perl 5.10, it is called thus: 'Qt::Application' 'new' '4' Thank you very much,
Subject: failed_tests

Message body not shown because it is not plain text.



This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.